import request from '@/utils/request'

export function submitForm (data){
    console.log("文章列表",data)
    return request({
        url: '/api/acticle/createacticle',
        method: 'Post',
        data: data
    })
}

export function getArticleType(params){
     console.log("分类信息")
     return request({
         url:'/api/acticle/getArticleType',
         method: 'Get',
         params: params
     })
}

export function GetAllArticles(status,id,keyword,limit,page){
    const params = {
        status:status,
        id:id,
        keyword:keyword,
        limit:limit,
        page:page
    }
    console.log("params信息",params)
     return request({
         url:'/api/acticle/getAllArticles',
         method:'Get',
         params:params,
     })
}

export function addCategory(data){
    console.log("添加分类名称?",data)
    return request({
        url:'/api/article/addCategory',
        method:'Post',
        data:data,
    })
}

export function getAritcleCount(name){
    console.log("分类名称",name);
    const params = {
        name:name,
    }
    return request({
        url:"/api/article/getAritcleCount",
        method:'Post',
        params:params,
    })
}

export function GetCategorys(params){
      console.log("params",params)
     return request({
         url:'/api/acticle/getCategorys',
         method:'Get',
         params:params
     })
}

export function EditArticleCategory(id,data){
    console.log("abc",id,data)
    return request({
        url:'/api/acticle/edit?id='+id,
        method:'Post',
        data:data
    })
}

export function DeleteCategorys(data){
    console.log("data失身",data)
     return request({
         url:'/api/acticle/delete',
         method:'delete',
         data:data
     })
}

export function addVido(data){
    console.log("发布视频",data)
    return request({
        url:"/api/acticle/addvido",
        method:"post",
        data:data,
    })
}

export function Savedraft(data){
    return request({
        url:"/api/acticle/savedraft",
        method:"post",
        data:data,
    })
}

export function previewArticle(data){
    return request({
        url:"/api/acticle/prviewArticle",
        method:"post",
        data:data
    })
}

export function getarticlePreview(params){
   return request({
       url:"/api/acticle/getarticlePreview",
       method:'Get',
       params:params
   })
}

export function save(data){
   return request({
       url:"/api/acticle/save",
       method:"Post",
       data:data
   })
}

export function openDelete(data){
    return request({
        url:"/api/article/Delete",
        method:"delete",
        data:data
    })
}

export function deleteArticle (id,data){
    console.log("id是多少",id)
    return request({
        url:"/api/article/deleteArticle?id="+id,
        method:"Get",
        data:data
    })
}

export function getEditArticle(id,params){
    console.log("id是什么",id)
    return request({
        url:"/api/acticle/getEditArticle?id="+id,
        method:"Post",
        params:params,
    })
}

export function getEditVidoInfo(id,params){
    return request({
        url:"/api/acticle/getEditVidoInfo?id="+id,
        method:"Get",
        params:params,
    })
}

export function getMenus(params){
    console.log("params分类号是什么",params)
    return request({
        url:"/api/acticle/getMenus",
        method:'Get',
        params:params
    })
}

export function UpdataArticleInfo(id,data){
   console.log("修改文章内容",data)
   return request({
       url:"/api/acticle/updateArticlesInfo?id="+id,
       method:'Post',
       data:data
   })
}

export function updataVidoInfo(id,data){
    console.log("修改视频内容",data)
    return request({
        url:"/api/acticle/updateVidoInfo?id="+id,
        method:'Post',
        data:data
    })
}

export function SaveVidodraft(id,data){
    console.log("保存视频草稿",data);
    return request({
        url:"/api/acticle/savevidodraft?id="+id,
        method:'Post',
        data:data
    })
}

export function saveArticleDraft(id,data){
    console.log("保存文章草稿",data);
    return request({
        url:"/api/acticle/saveArticleDraft?id="+id,
        method:"Post",
        data:data
    })
}

export function previewEditArticle(id,data){
   return request({
       url:"/api/acticle/previewEditArticle?id="+id,
       method:'Post',
       data:data
   })
}

export function getPreviewInfo(id,params){
    console.log("我爱你中国",params)
    return request({
        url:"/api/acticle/getPreviewInfo?id="+id,
        method:'Get',
        params:params,
    })
}

export function getAllComment(params){
    console.log("评论",params)
    return request({
        url:"/api/acticle/getAllComment",
        method:'Get',
        params:params,
    })
}

export function getArticleCommentDetail(page,limit,title,publicTime,id){
    console.log("文章评论详情",id)
    const params = {
        page:page,
        limit:limit,
        title:title,
        publicTime:publicTime,
        id:id,
    }
    return request({
        url:"/api/acticle/getArticleCommentDetail?id="+id,
        method:'Get',
        params:params,
    })
}

export function send(replycontent,acticlid,parentid){
   const params = {
       replycontent:replycontent,
       acticlid:acticlid,
       parentid:parentid,
   }
   return request({
       url:"/api/acticle/send",
       method:'Get',
       params:params,
   })
}

export function getReplyAllComents(params){
    return request({
       url:"/api/acticle/getReplyAllComents",
       method:'Get',
       params:params,
    })
}

export function sendInformation(artilcid,parentid,content){
    const params = {
         artilcid:artilcid,
         parentid:parentid,
         content:content,
     }
     return request({
         url:"/api/article/sendInformation",
         method:'Get',
         params:params,
     })
}

export function spreadReplay(artilcid,parentid){
  const params = {
      artilcid:artilcid,
      parentid:parentid,
  }
  return request({
      url:"/api/article/spreadReplay",
      method:'Get',
      params:params,
  })
}

export function clearRelyInfo(id,data){
    console.log("id为:",id)
    return request({
      url:"/api/article/clearRelyInfo?id="+id,
      method:'delete',
      data:data, 
    })  
}

export function deleteReply(id,data){
   console.log("id为:",id)
   return request({
       url:"/api/article/deleteReply?id="+id,
       method:'delete',
       data:data,
   })
}

export function openDeleteReply(data){
    console.log("data是",data)
   return request({
       url:"/api/article/openDeleteReply",
       method:"delete",
       data:data,
   })
}

export function spread(parentid,acticlid){
   const params = {
       parentid:parentid,
       acticlid:acticlid,
   }

   return request({
       url:"/api/article/spread",
       method:"Get",
       params:params,
   })
}

export function clear(id,data){
    return request({
        url:"/api/article/clear?id="+id,
        method:"delete",
        data:data,
    })
}

export function deleteComments(id,data){
   return request({
      url:"/api/article/deleteComments?id="+id,
      method:"delete",
      data:data, 
   })
}

export function deleteAllArticles(data){
    return request({
        url:"/api/article/deleteAllArticles",
        method:"delete",
        data:data,
    })
}

export function GetAllCategory(params){
    return request({
        url:"/api/aritcle/getallcategory",
        method:"Get",
        params:params,
    })
}

export function getArticleDetail(id,params){
    return request({
        url:"/api/article/getarticledetail?id="+id,
        method:"Get",
        params:params,
    })

}

export function getVidoDetail(id,params){
     return request({
         url:"/api/article/getvidodetail?id="+id,
         method:"Get",
         params:params,
     })
}

export function getEditArticleContent(id,params){
    return request({
        url:"/api/article/geteditarticlecontent?id="+id,
        method:"Get",
        params:params,
    })
}

