import Layout from '@/views/layout/Layout'

export default {
    path: '/orginfo',
    component: Layout,
    hidden: true,
    is_menu: false,
    meta: {
        title: 'orginfo',
        icon: 'shebei'
    },
    children: [
        {
            path: '/orginfo',
            component: () => import('@/scrm_pages/org/orginfo'),
            hidden: true,
            is_menu: false,
            name: 'orginfo',
            meta: {
                title: '机构信息',
                icon: 'shebei',
                noCache: true
            }
        }
    ]
}