import Layout from '@/views/layout/Layout'

export default {
  path: '',
  component: Layout,
  redirect: '/site',
  alwaysShow: true,
  // name: '微网站',
  meta: {
    title: '微网站',
    icon: 'dashboard'
  },
  children: [{
      path: '/site',
      component: () => import('@/scrm_pages/site/index'),
      name: 'site',
      // unfinished: true,
      meta: {
        title: '微网站',
        noCache: true,
      }
    }, 
    {
      path: '/site/preview',
      component: () => import('@/scrm_pages/site/preview'),
      name: '预览',
      meta: {
        title: 'preview'
      },
      hidden: true,
      is_menu: false
    },
    {
      path: '/Systemsetting/staffmanagement',
      component: () => import('@/scrm_pages/Systemsetting/staffmanagement'),
      name: 'memberslist',
      meta: { title: 'staffmanagement', noCache: true }
    },

  ]
}
